Changelog
=========

5.0.0b4 (2023-12-21)
--------------------

- Add validation for "other" as link protocol when "resolveuid"
  [gotcha]

- Set "other" as default link protocol, to lessen the chances that
  https://resolveuid/xxxxx are setup with plonefinder.
  [gotcha]

- Unregister ck_ruid_to_url as plone.outputfilters come with the same feature.
  [gotcha]

- Include CKeditor resources only when user is logged in.
  [gotcha]


5.0.0b3 (2023-11-13)
--------------------

- Fix ck_ruid_to_url transform for tags with style and url()
  [gotcha]


5.0.0b2 (2023-06-23)
--------------------

- Fix interaction with formunload pattern.
  [gotcha]


5.0.0b1 (2023-04-13)
--------------------

- Fix warning with @@ckeditor_vars.js (text/plain MIME type)
  [gotcha]

- Hide plone.app.textfield text format select.
  [gotcha]

- Reset forcePasteAsPlainText default to false.
  [gotcha]

- Fix integration with pattern validation.
  [gotcha]

- Polish upgrade to registry.
  [gotcha]


5.0.0a5 (2023-03-27)
--------------------

- Fix availability of cke-save
  [gbastien, gotcha]

- Fix leftover usage of ``portal_properties``.
  [gotcha]

- Fix cke-upload-image URL setup
  [gbastien, gotcha]

- Update to CKEditor 4.20.2
  [gotcha]

- Fix saving static portlet
  [gotcha]


5.0.0a4 (2023-02-20)
--------------------

- add Plone Addon classifier
  [MrTango]


5.0.0a3 (2023-02-20)
--------------------

- Fix all tests for 5.2 and 6 and run them on GHA
  [gotcha]

- Fix CKEditor in rich text field in modal dialog
  [gotcha]


5.0.0a2 (2022-12-12)
--------------------

- Fix brown bag release.
  [gotcha]


5.0.0a1 (2022-12-12)
--------------------

- Plone 5.2 and Plone 6 support.
  [aduchene, gotcha, spereverde, Mychae1]

- Migrate configuration from ``portal_properties`` to registry.
  [aduchene, gotcha, kimpaulissen, Mychae1]

- Fix robot tests.
  [aduchene]


4.10.1 (2021-10-01)
-------------------

- Fix CKEditor not packaged properly in 4.10.0 release.
  [aduchene]

- Use zest.releaser = 6.22.1.
  [aduchene]


4.10.0 (2021-06-11)
-------------------

- Add disallowedContent option to blacklist content.
  [naro, gotcha]


4.9.1 (2021-02-12)
------------------

- Add Transifex.net service integration to manage the translation process.
  [macagua]

- Add Spanish translation
  [macagua]

- AjaxSave plugin, add message when nothing saved because nothing changed
  (Content already saved (nothing changed).)
  [gbastien]

- AjaxSave plugin, added `async:true` attribute so it is possible to set it
  to `async:false` and make sure content is saved before continuing.
  [gotcha, gbastien]


4.9.0 (2019-09-12)
------------------

- Update to CKEditor 4.12.1
  [gotcha]


4.8.3 (2018-11-13)
------------------

- AjaxSave plugin, defend against not traversable objects like plone.registry
  records
  [gotcha]


4.8.2 (2018-10-12)
------------------

- refactor AjaxSave plugin

  - fix for Archetypes
  - support for plone.app.contenttypes
  - support for formlib portlets

  [gotcha]


4.8.1 (2018-07-10)
------------------

- CKEditor language is coherent with edit view language
  [gotcha]
  


4.8.0 (2018-06-22)
------------------

- Update to CKEditor 4.9.2
  Include not enabled balloontoolbar plugin
  [gotcha]


4.7.2 (2017-12-15)
------------------

- Make `uploadimage` `resolveuid` links relative.
  [gotcha]


4.7.1 (2017-12-08)
------------------

- `uploadimage` support uses `resolveuid`.
  [gotcha]


4.7.0 (2017-12-01)
------------------

- Enable `uploadwidget` and `uploadimage` plugins.
  Corresponding upgrade step
  (Now depends on `plone.api`)
  [gotcha]


4.6.0 (2017-08-18)
------------------

- Update to CKEditor 4.7.2
  [gotcha]


4.5.0 (2017-02-24)
------------------

- Add a setting for CKEditor skin: colored or flat buttons

  Default skin remains Moonocolor, colored buttons.
  Flat buttons comes from the new Moono-lisa skin (see https://ckeditor.com/addon/moono-lisa)
  [gotcha]

  To avoid ugly border-bottom on buttons in default Plone 4 skin: add the
  following style to your CSS::

      #content a.cke_button {
          border-bottom: 0;
      }

      #content a.cke_button:hover {
          border-bottom: #ccc 0.1em solid;
      }

- Update to CKEditor 4.6.2
  [gotcha]


4.4.5 (2016-11-23)
------------------

- ``nonbreaking`` plugin: used to insert non breaking spaces and hyphens.
  [gotcha]


4.4.4 (2016-05-02)
------------------

- Fix overloading settings: it should be empty dict rather than None
  [gotcha]


4.4.3 (2016-05-02)
------------------

- Enable settings overloading for formlib wysiwyg widget
  [gotcha]


4.4.2 (2016-04-13)
------------------

- Fix customization per widget of filexxxBrowserUrl, depending on language
  [gotcha]


4.4.1 (2016-04-13)
------------------

- Enable settings overloading for plone.app.z3cform wysiwyg widget
  [gotcha]

- Enable customization per widget of filexxxBrowserUrl, depending on language
  [gotcha]

4.4.0 (2016-03-11)
------------------

- Store custom toolbars in registry.
  (With previous change, enable different toolbars per widget)
  [gotcha]

- Improve settings overloading per widget
  [gotcha]

- Load js only if you are an authenticated user.
  [bsuttor]


4.3.5 (2016-02-16)
------------------

- Fix image preview in ckeditor when clicking on main image in pop-pup window.
  [boulch]
  
4.3.4 (2016-01-21)
------------------

- Fix context of ckeditor_plone_config.js
  when called by plone.app.form.widgets.wysiwygwidget
  when adding a portlet.
  [gotcha]


4.3.3 (2016-01-20)
------------------

- Fix context of ckeditor_plone_config.js
  when called by plone.app.form.widgets.wysiwygwidget
  when editing a portlet.
  [gotcha]


4.3.2 (2016-01-08)
------------------

- Fix default value of image2_alignClasses (plus upgrade step)
  [gotcha]

- Add option to not minify JS to build-ckeditor scripts
  [gotcha]

- Fix build-ckeditor scripts to keep option to not use 
  image2 plugin
  [gotcha]

- Update ckeditor accordingly
  [gotcha]

- Check validity of image2_alignClasses
  [gotcha]


4.3.1.1 (2015-01-05)
--------------------

- Re-publish egg with generated static resources
  [ebrehault]


4.3.1 (2015-12-14)
------------------

- Update to CKeditor 4.5.6
  [gotcha]

- Add some robot tests
  [spreverde, gotcha]

- Add defaultTableWidth option to control panel to set the default table width in the table dialog window.


4.3.0b2 (2014-06-19)
--------------------

- Fix javascript order though GS.
  [montypie]


4.3.0b1 (2014-06-19)
--------------------

- Add image2 plugin and its dependencies.
  [gotcha]

- Add image2_alignClasses and image2_captionedClass setting to setup
  image2 plugin.
  [gotcha]

- Updated to CKeditor 4.4.1.
  [gotcha]

- Add removePlugins option to control panel to allow to deactivate plugins.
  [gotcha]

4.2.0 (2014-06-05)
------------------

- Show actual url in link dialog besides resolveuid.
  [gotcha]


4.1.1 (2014-03-27)
------------------

- Fix upgrade steps to avoid overwriting custom configuration.
  [gotcha]

- Updated to CKeditor 4.3.4
  [gotcha]


4.1 (2014-03-27)
----------------

- Expand setup of Advanced Content filter (ACF).
  [spereverde, gotcha]


4.0.0 (2014-02-05)
------------------

- Updated to CKeditor 4.3.2
  [gotcha]

- Add extraAllowedContent option to setup filter rules.
  [gotcha]

- Backward compatibility of toolbar settings
  [gotcha]

- Moved to CKeditor 4.2.3
  [gbastien]


3.6.12 (2013-09-05)
-------------------

- Make it possible to enable/disable SCAYT by default
  [gbastien]

3.6.11 (2013-05-30)
-------------------

- Stay compatible with IE<9, do not use indexOf in JS
  [gbastien]

3.6.10 (2013-05-30)
-------------------

- Updated ckeditor to 3.6.6.1
  [vincentfretin]

- travis setup / buildout infra
  [kiorky]

3.6.9 (2013-05-29)
------------------

- Works under Plone 4.3.
  [thomasdesvenain]


3.6.8 (2012-12-13)
------------------

- Update install and uninstall to change the default_editor site
  property instead of the wysiwyg_editor memberdata property.
  [maurits]

- Also check the default_editor site property when determining whether
  the member wants to use CKeditor.
  [maurits]

- Changed the way external plugins are registered. It's better to use the three
  parameter variant of ``CKEDITOR.plugins.addExternal`` because this will make
  the base URL for the plugin resources available within the plugin code as
  ``this.path`` correctly. Otherwise ``this.path`` contains the full URL to the
  plugin script itself which consequently breaks loading of related resources
  (images, translations, etc).
  [dokai]

- Refactored the ``ck_ruid_to_url`` transform to use plone.app.uuid to transform
  UIDs to URLs. This avoids using reference_catalog in favor of portal_catalog
  and appears to fix issues with Dexterity types not available through the
  reference_catalog.
  [dokai]

- Limited string length to be searched under 3000 characters by re.search method.
  [taito]

3.6.7 (2012-08-20)
------------------

- take care of external stylesheets registered with an absolute URL.
  [gotcha]

- fix plugins (add migration)
  [kiorky]

- refresh translations
  [kiorky]

- translate styles menu
  [kiorky]

3.6.6 (2012-07-05)
------------------

- Fix default value for images
  [kai.hoppert@tomcom.de]

- Add a duplicate directory for ckeditor sources: it needs a more ambitious
  patch but fix a development installation
  [kiorky]

3.6.5 (2012-07-04)
------------------

- Fix missing directory in 3.6.4 release
  [encolpe]

3.6.4 (2012-07-03)
------------------

- Fix missing include for rst files in the manifest
  [encolpe]

- Version the latest known working ckeditor commited in browser/ckeditor
  [kiorky]

3.6.3 (2012-07-03)
------------------

- Don't show ckeditor if html is not in the allowable content types of the field.
  This fixes integration with Products.Poi where the details field of a
  PoiIssue allows only text/x-web-intelligent by default.
  [vincentfretin]

- Fixed the finder to honor the "Allow folder creation" option.
  [dokai]

- Added i18n support
  [giacomos]

- Added Italian translation
  [giacomos]

- Fix language configuration according to plone_portal_state.language()
  [toutpt]

- Add French translation
  [toutpt]

- Add z3c.autoinclude targeted to Plone
  [toutpt]

3.6.2 (2011-12-12)
------------------

- Describe in README how to release to ensure ``ckeditor`` code is included in
  the egg.
  [gotcha]


3.6.2b2 (2011-12-12)
--------------------

- Nothing changed yet.


3.6.2b1 (2011-12-12)
--------------------

- use ckeditor 3.6.2
  [spereverde]

- Add ``ajaxsave`` plugin to allow asynchronous save.
  [gotcha]

- Use zest.releaser entry point to bundle ckeditor code.
  [gotcha]

3.6.1 (2011-07-14)
------------------

- Nothing changed yet.


3.6.1rc (2011-07-14)
--------------------

- use ckeditor 3.6.1
  [spereverde]

- some pep8 and pyflakes
  [spereverde]

- added control panel setting for templates_replaceContent
  [spereverde]

- add control panel setting for registration of custom templates
  [gotcha]

- Plone4.1 support - fix IVocabularyFactory import
  [msmith64]


3.4.1
-----

- use ckeditor 3.4.1
  [macadames]

- fix an error in set_media_type
  [macadames]

- fix an error in mediaupload session
  [macadames]


3.4
---

- use ckeditor 3.4

3.3.1b
------

- use ckeditor 3.3.1
  [macadames]

- icon for control panel is now in controlpanel.xml
  [macadames]

- Make control panel (and tests) running without errors with last Plone4 version ...
  The listTypesForInterface method was broken.
  [macadames]

- Use the new mediaupload attribute in collective.plonefinder
  (Force the selection of content-type in jquery.uploadify)
  [macadames]

- Added support for z3c.autoinclude so no zcml slugs will be needed for this package.
  [sneridagh]

3.2.1b
------

- image sizes selection added (use this new option provided by collective.plonefinder)

- some fixes for last collective.plonefinder usage.

3.2.1a
------

- use ckeditor 3.2.1

- plone 4 compliance :

  - remove iw.resourcetraverser dependency

  - remove wysiwyg_support in skin (no more useful)

- control panel improvements

- functional doctests added or improved

- FAQ added

- buildout examples added to help developers using svn product

- javascript contextuel config is now packed

- added local field widget settings overload

- changed portal_transforms resolveuid

- all basehref problems fixed

- menu styles through control panel finished

- toolbar through control panel finished

3.0.2
-----

- use ckeditor 3.0.2


3.0
---

- Initial release
